reviewTestPlan
POST /test-plans/{id}/review
Operation ID: reviewTestPlan
Path & query parameters
| Name | In | Type | Required |
|---|---|---|---|
id |
path | string |
yes |
Response (200)
| Field | Type | Required |
|---|---|---|
readiness |
`"blocked" | "weak" |
overallScore |
integer |
yes |
coverageScore |
integer |
yes |
clarityScore |
integer |
yes |
reproducibilityScore |
integer |
yes |
authClarityScore |
integer |
yes |
confidence |
integer |
no |
summary |
string |
yes |
riskFlags |
string[] |
yes |
suggestedFixes |
string[] |
yes |
missingScenarios |
string[] |
yes |
Example:
{
"readiness": "blocked",
"overallScore": 0,
"coverageScore": 0,
"clarityScore": 0,
"reproducibilityScore": 0,
"authClarityScore": 0,
"confidence": 0,
"summary": "string",
"riskFlags": [\
"string"\\n ],
"suggestedFixes": [\
"string"\\n ],
"missingScenarios": [\
"string"\\n ]
}
Example request
curl https://api.qacrow.com/api/test-plans/{id}/review -X POST \
-H "Authorization: Bearer qac_live_..."